package com.tencent.mm.plugin.appbrand.widget.i;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.i;
import com.tencent.mm.plugin.appbrand.q;
import com.tencent.mm.sdk.g.d;

public final class h extends d {
    public h(String str, c cVar, q qVar) {
        super(str, cVar, qVar);
    }

    public final void aSg() {
        AppMethodBeat.i(87569);
        i runtime = this.hwf.getRuntime();
        if (!(runtime == null || this.jpu == null)) {
            d.h(new 1(this, runtime), "PackageIconLoader ").start();
        }
        AppMethodBeat.o(87569);
    }
}
